PHP 手冊
前一頁 |  | 下一頁

# dbase_add_record

(PHP 3, PHP 4 , PHP 5)

dbase_add_record -- Adds a record to a database

## Description

bool dbase_add_record ( int dbase_identifier, array record )

Adds the given data to the database.

## Parameters

dbase_identifier

  The database link identifier, returned by dbase_open() or dbase_create().

record

  An indexed array of data. The number of items must be equal to the number of fields in the database, otherwise dbase_add_record() will fail.

  > 注: If you're using dbase_get_record() return value for this parameter, remember to reset the key named deleted.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Inserting a record in a dBase database

`<?php // open in read-write mode $db = dbase_open('/tmp/test.dbf', 2); if ($db) { dbase_add_record($db, array( date('Ymd'), 'Maxim Topolov', '23', 'max@example.com', 'T')); dbase_close($db); } ?>`

## 參考

dbase_delete_record()
dbase_replace_record()

前一頁 | 內容 | 下一頁
dBase Functions | 上一層 | dbase_close